// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.12
// source: proto/master/seats/seats.proto

package seats

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ListSeats struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Seats []*Seats `protobuf:"bytes,1,rep,name=seats,proto3" json:"seats,omitempty"`
}

func (x *ListSeats) Reset() {
	*x = ListSeats{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_seats_seats_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSeats) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSeats) ProtoMessage() {}

func (x *ListSeats) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_seats_seats_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSeats.ProtoReflect.Descriptor instead.
func (*ListSeats) Descriptor() ([]byte, []int) {
	return file_proto_master_seats_seats_proto_rawDescGZIP(), []int{0}
}

func (x *ListSeats) GetSeats() []*Seats {
	if x != nil {
		return x.Seats
	}
	return nil
}

type Seats struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id            uint64                 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	TransportId   uint64                 `protobuf:"varint,2,opt,name=transport_id,json=transportId,proto3" json:"transport_id,omitempty"`
	TicketId      uint64                 `protobuf:"varint,3,opt,name=ticket_id,json=ticketId,proto3" json:"ticket_id,omitempty"`
	TransactionId string                 `protobuf:"bytes,4,opt,name=transaction_id,json=transactionId,proto3" json:"transaction_id,omitempty"`
	Status        string                 `protobuf:"bytes,5,opt,name=status,proto3" json:"status,omitempty"`
	IssuedAt      *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=issued_at,json=issuedAt,proto3" json:"issued_at,omitempty"`
	CreatedAt     *timestamppb.Timestamp `protobuf:"bytes,7,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	UpdatedAt     *timestamppb.Timestamp `protobuf:"bytes,8,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
}

func (x *Seats) Reset() {
	*x = Seats{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_seats_seats_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Seats) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Seats) ProtoMessage() {}

func (x *Seats) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_seats_seats_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Seats.ProtoReflect.Descriptor instead.
func (*Seats) Descriptor() ([]byte, []int) {
	return file_proto_master_seats_seats_proto_rawDescGZIP(), []int{1}
}

func (x *Seats) GetId() uint64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Seats) GetTransportId() uint64 {
	if x != nil {
		return x.TransportId
	}
	return 0
}

func (x *Seats) GetTicketId() uint64 {
	if x != nil {
		return x.TicketId
	}
	return 0
}

func (x *Seats) GetTransactionId() string {
	if x != nil {
		return x.TransactionId
	}
	return ""
}

func (x *Seats) GetStatus() string {
	if x != nil {
		return x.Status
	}
	return ""
}

func (x *Seats) GetIssuedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.IssuedAt
	}
	return nil
}

func (x *Seats) GetCreatedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *Seats) GetUpdatedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

type CreateSeatsUpdateRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TransportId   uint64 `protobuf:"varint,1,opt,name=transport_id,json=transportId,proto3" json:"transport_id,omitempty"`
	TicketId      uint64 `protobuf:"varint,2,opt,name=ticket_id,json=ticketId,proto3" json:"ticket_id,omitempty"`
	TransactionId string `protobuf:"bytes,3,opt,name=transaction_id,json=transactionId,proto3" json:"transaction_id,omitempty"`
}

func (x *CreateSeatsUpdateRequest) Reset() {
	*x = CreateSeatsUpdateRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_seats_seats_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateSeatsUpdateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateSeatsUpdateRequest) ProtoMessage() {}

func (x *CreateSeatsUpdateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_seats_seats_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateSeatsUpdateRequest.ProtoReflect.Descriptor instead.
func (*CreateSeatsUpdateRequest) Descriptor() ([]byte, []int) {
	return file_proto_master_seats_seats_proto_rawDescGZIP(), []int{2}
}

func (x *CreateSeatsUpdateRequest) GetTransportId() uint64 {
	if x != nil {
		return x.TransportId
	}
	return 0
}

func (x *CreateSeatsUpdateRequest) GetTicketId() uint64 {
	if x != nil {
		return x.TicketId
	}
	return 0
}

func (x *CreateSeatsUpdateRequest) GetTransactionId() string {
	if x != nil {
		return x.TransactionId
	}
	return ""
}

type ReverseSeatsUpdateRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TransactionId string `protobuf:"bytes,1,opt,name=transaction_id,json=transactionId,proto3" json:"transaction_id,omitempty"`
}

func (x *ReverseSeatsUpdateRequest) Reset() {
	*x = ReverseSeatsUpdateRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_seats_seats_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReverseSeatsUpdateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReverseSeatsUpdateRequest) ProtoMessage() {}

func (x *ReverseSeatsUpdateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_seats_seats_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReverseSeatsUpdateRequest.ProtoReflect.Descriptor instead.
func (*ReverseSeatsUpdateRequest) Descriptor() ([]byte, []int) {
	return file_proto_master_seats_seats_proto_rawDescGZIP(), []int{3}
}

func (x *ReverseSeatsUpdateRequest) GetTransactionId() string {
	if x != nil {
		return x.TransactionId
	}
	return ""
}

type SeatsIdentifierRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id uint64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *SeatsIdentifierRequest) Reset() {
	*x = SeatsIdentifierRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_seats_seats_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SeatsIdentifierRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SeatsIdentifierRequest) ProtoMessage() {}

func (x *SeatsIdentifierRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_seats_seats_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SeatsIdentifierRequest.ProtoReflect.Descriptor instead.
func (*SeatsIdentifierRequest) Descriptor() ([]byte, []int) {
	return file_proto_master_seats_seats_proto_rawDescGZIP(), []int{4}
}

func (x *SeatsIdentifierRequest) GetId() uint64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type SeatsIdentifierByTransportIDRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TransportId uint64 `protobuf:"varint,1,opt,name=transport_id,json=transportId,proto3" json:"transport_id,omitempty"`
}

func (x *SeatsIdentifierByTransportIDRequest) Reset() {
	*x = SeatsIdentifierByTransportIDRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_seats_seats_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SeatsIdentifierByTransportIDRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SeatsIdentifierByTransportIDRequest) ProtoMessage() {}

func (x *SeatsIdentifierByTransportIDRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_seats_seats_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SeatsIdentifierByTransportIDRequest.ProtoReflect.Descriptor instead.
func (*SeatsIdentifierByTransportIDRequest) Descriptor() ([]byte, []int) {
	return file_proto_master_seats_seats_proto_rawDescGZIP(), []int{5}
}

func (x *SeatsIdentifierByTransportIDRequest) GetTransportId() uint64 {
	if x != nil {
		return x.TransportId
	}
	return 0
}

type SeatsIdentifierByTicketIDRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TicketId uint64 `protobuf:"varint,1,opt,name=ticket_id,json=ticketId,proto3" json:"ticket_id,omitempty"`
}

func (x *SeatsIdentifierByTicketIDRequest) Reset() {
	*x = SeatsIdentifierByTicketIDRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_seats_seats_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SeatsIdentifierByTicketIDRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SeatsIdentifierByTicketIDRequest) ProtoMessage() {}

func (x *SeatsIdentifierByTicketIDRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_seats_seats_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SeatsIdentifierByTicketIDRequest.ProtoReflect.Descriptor instead.
func (*SeatsIdentifierByTicketIDRequest) Descriptor() ([]byte, []int) {
	return file_proto_master_seats_seats_proto_rawDescGZIP(), []int{6}
}

func (x *SeatsIdentifierByTicketIDRequest) GetTicketId() uint64 {
	if x != nil {
		return x.TicketId
	}
	return 0
}

type ReverseSeatsUpdateResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TransactionId string `protobuf:"bytes,1,opt,name=transaction_id,json=transactionId,proto3" json:"transaction_id,omitempty"`
	Message       string `protobuf:"bytes,2,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *ReverseSeatsUpdateResponse) Reset() {
	*x = ReverseSeatsUpdateResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_seats_seats_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReverseSeatsUpdateResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReverseSeatsUpdateResponse) ProtoMessage() {}

func (x *ReverseSeatsUpdateResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_seats_seats_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReverseSeatsUpdateResponse.ProtoReflect.Descriptor instead.
func (*ReverseSeatsUpdateResponse) Descriptor() ([]byte, []int) {
	return file_proto_master_seats_seats_proto_rawDescGZIP(), []int{7}
}

func (x *ReverseSeatsUpdateResponse) GetTransactionId() string {
	if x != nil {
		return x.TransactionId
	}
	return ""
}

func (x *ReverseSeatsUpdateResponse) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

type SeatsFilterQuery struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Query       string `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
	Page        int32  `protobuf:"varint,2,opt,name=page,proto3" json:"page,omitempty"`
	Limit       int32  `protobuf:"varint,3,opt,name=limit,proto3" json:"limit,omitempty"`
	TransportId uint64 `protobuf:"varint,4,opt,name=transport_id,json=transportId,proto3" json:"transport_id,omitempty"`
}

func (x *SeatsFilterQuery) Reset() {
	*x = SeatsFilterQuery{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_seats_seats_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SeatsFilterQuery) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SeatsFilterQuery) ProtoMessage() {}

func (x *SeatsFilterQuery) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_seats_seats_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SeatsFilterQuery.ProtoReflect.Descriptor instead.
func (*SeatsFilterQuery) Descriptor() ([]byte, []int) {
	return file_proto_master_seats_seats_proto_rawDescGZIP(), []int{8}
}

func (x *SeatsFilterQuery) GetQuery() string {
	if x != nil {
		return x.Query
	}
	return ""
}

func (x *SeatsFilterQuery) GetPage() int32 {
	if x != nil {
		return x.Page
	}
	return 0
}

func (x *SeatsFilterQuery) GetLimit() int32 {
	if x != nil {
		return x.Limit
	}
	return 0
}

func (x *SeatsFilterQuery) GetTransportId() uint64 {
	if x != nil {
		return x.TransportId
	}
	return 0
}

var File_proto_master_seats_seats_proto protoreflect.FileDescriptor

var file_proto_master_seats_seats_proto_rawDesc = []byte{
	0x0a, 0x1e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2f, 0x73,
	0x65, 0x61, 0x74, 0x73, 0x2f, 0x73, 0x65, 0x61, 0x74, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x0c, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x61, 0x74, 0x73, 0x1a, 0x1f,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22,
	0x36, 0x0a, 0x09, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x65, 0x61, 0x74, 0x73, 0x12, 0x29, 0x0a, 0x05,
	0x73, 0x65, 0x61, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x6d, 0x61,
	0x73, 0x74, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x61, 0x74, 0x73, 0x2e, 0x53, 0x65, 0x61, 0x74, 0x73,
	0x52, 0x05, 0x73, 0x65, 0x61, 0x74, 0x73, 0x22, 0xc5, 0x02, 0x0a, 0x05, 0x53, 0x65, 0x61, 0x74,
	0x73, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x04, 0x52, 0x02, 0x69,
	0x64, 0x12, 0x21, 0x0a, 0x0c, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x49, 0x64, 0x12, 0x1b, 0x0a, 0x09, 0x74, 0x69, 0x63, 0x6b, 0x65, 0x74, 0x5f, 0x69,
	0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x04, 0x52, 0x08, 0x74, 0x69, 0x63, 0x6b, 0x65, 0x74, 0x49,
	0x64, 0x12, 0x25, 0x0a, 0x0e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x5f, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x74, 0x72, 0x61, 0x6e, 0x73,
	0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x12, 0x37, 0x0a, 0x09, 0x69, 0x73, 0x73, 0x75, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52,
	0x08, 0x69, 0x73, 0x73, 0x75, 0x65, 0x64, 0x41, 0x74, 0x12, 0x39, 0x0a, 0x0a, 0x63, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x64, 0x41, 0x74, 0x12, 0x39, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f,
	0x61, 0x74, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73,
	0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x22,
	0x81, 0x01, 0x0a, 0x18, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x53, 0x65, 0x61, 0x74, 0x73, 0x55,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x21, 0x0a, 0x0c,
	0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x04, 0x52, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x49, 0x64, 0x12,
	0x1b, 0x0a, 0x09, 0x74, 0x69, 0x63, 0x6b, 0x65, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x04, 0x52, 0x08, 0x74, 0x69, 0x63, 0x6b, 0x65, 0x74, 0x49, 0x64, 0x12, 0x25, 0x0a, 0x0e,
	0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x49, 0x64, 0x22, 0x42, 0x0a, 0x19, 0x52, 0x65, 0x76, 0x65, 0x72, 0x73, 0x65, 0x53, 0x65,
	0x61, 0x74, 0x73, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x25, 0x0a, 0x0e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x22, 0x28, 0x0a, 0x16, 0x53, 0x65, 0x61, 0x74, 0x73,
	0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x04, 0x52, 0x02, 0x69,
	0x64, 0x22, 0x48, 0x0a, 0x23, 0x53, 0x65, 0x61, 0x74, 0x73, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69,
	0x66, 0x69, 0x65, 0x72, 0x42, 0x79, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x49,
	0x44, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x21, 0x0a, 0x0c, 0x74, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0b,
	0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x49, 0x64, 0x22, 0x3f, 0x0a, 0x20, 0x53,
	0x65, 0x61, 0x74, 0x73, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x42, 0x79,
	0x54, 0x69, 0x63, 0x6b, 0x65, 0x74, 0x49, 0x44, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x1b, 0x0a, 0x09, 0x74, 0x69, 0x63, 0x6b, 0x65, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x04, 0x52, 0x08, 0x74, 0x69, 0x63, 0x6b, 0x65, 0x74, 0x49, 0x64, 0x22, 0x5d, 0x0a, 0x1a,
	0x52, 0x65, 0x76, 0x65, 0x72, 0x73, 0x65, 0x53, 0x65, 0x61, 0x74, 0x73, 0x55, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x25, 0x0a, 0x0e, 0x74, 0x72,
	0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0d, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x49,
	0x64, 0x12, 0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x22, 0x75, 0x0a, 0x10, 0x53,
	0x65, 0x61, 0x74, 0x73, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x51, 0x75, 0x65, 0x72, 0x79, 0x12,
	0x14, 0x0a, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05,
	0x71, 0x75, 0x65, 0x72, 0x79, 0x12, 0x12, 0x0a, 0x04, 0x70, 0x61, 0x67, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x05, 0x52, 0x04, 0x70, 0x61, 0x67, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x6c, 0x69, 0x6d,
	0x69, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x12,
	0x21, 0x0a, 0x0c, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x69, 0x64, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x49, 0x64, 0x32, 0x9c, 0x04, 0x0a, 0x0c, 0x53, 0x65, 0x61, 0x74, 0x73, 0x53, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x12, 0x50, 0x0a, 0x11, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x53, 0x65, 0x61,
	0x74, 0x73, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x26, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65,
	0x72, 0x2e, 0x73, 0x65, 0x61, 0x74, 0x73, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x53, 0x65,
	0x61, 0x74, 0x73, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x13, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x61, 0x74, 0x73, 0x2e,
	0x53, 0x65, 0x61, 0x74, 0x73, 0x12, 0x67, 0x0a, 0x12, 0x52, 0x65, 0x76, 0x65, 0x72, 0x73, 0x65,
	0x53, 0x65, 0x61, 0x74, 0x73, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x27, 0x2e, 0x6d, 0x61,
	0x73, 0x74, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x61, 0x74, 0x73, 0x2e, 0x52, 0x65, 0x76, 0x65, 0x72,
	0x73, 0x65, 0x53, 0x65, 0x61, 0x74, 0x73, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x73, 0x65,
	0x61, 0x74, 0x73, 0x2e, 0x52, 0x65, 0x76, 0x65, 0x72, 0x73, 0x65, 0x53, 0x65, 0x61, 0x74, 0x73,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x49,
	0x0a, 0x0c, 0x47, 0x65, 0x74, 0x53, 0x65, 0x61, 0x74, 0x73, 0x42, 0x79, 0x49, 0x44, 0x12, 0x24,
	0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x61, 0x74, 0x73, 0x2e, 0x53, 0x65,
	0x61, 0x74, 0x73, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x13, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x73, 0x65,
	0x61, 0x74, 0x73, 0x2e, 0x53, 0x65, 0x61, 0x74, 0x73, 0x12, 0x59, 0x0a, 0x12, 0x47, 0x65, 0x74,
	0x53, 0x65, 0x61, 0x74, 0x73, 0x42, 0x79, 0x54, 0x69, 0x63, 0x6b, 0x65, 0x74, 0x49, 0x44, 0x12,
	0x2e, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x61, 0x74, 0x73, 0x2e, 0x53,
	0x65, 0x61, 0x74, 0x73, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x42, 0x79,
	0x54, 0x69, 0x63, 0x6b, 0x65, 0x74, 0x49, 0x44, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x13, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x61, 0x74, 0x73, 0x2e, 0x53,
	0x65, 0x61, 0x74, 0x73, 0x12, 0x63, 0x0a, 0x15, 0x47, 0x65, 0x74, 0x53, 0x65, 0x61, 0x74, 0x73,
	0x42, 0x79, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x49, 0x44, 0x12, 0x31, 0x2e,
	0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x61, 0x74, 0x73, 0x2e, 0x53, 0x65, 0x61,
	0x74, 0x73, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x42, 0x79, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x49, 0x44, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x17, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x61, 0x74, 0x73, 0x2e,
	0x4c, 0x69, 0x73, 0x74, 0x53, 0x65, 0x61, 0x74, 0x73, 0x12, 0x46, 0x0a, 0x0b, 0x47, 0x65, 0x74,
	0x53, 0x65, 0x61, 0x74, 0x73, 0x41, 0x6c, 0x6c, 0x12, 0x1e, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65,
	0x72, 0x2e, 0x73, 0x65, 0x61, 0x74, 0x73, 0x2e, 0x53, 0x65, 0x61, 0x74, 0x73, 0x46, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x51, 0x75, 0x65, 0x72, 0x79, 0x1a, 0x17, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65,
	0x72, 0x2e, 0x73, 0x65, 0x61, 0x74, 0x73, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x65, 0x61, 0x74,
	0x73, 0x42, 0x17, 0x5a, 0x15, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x6d, 0x61,
	0x73, 0x74, 0x65, 0x72, 0x2f, 0x73, 0x65, 0x61, 0x74, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_proto_master_seats_seats_proto_rawDescOnce sync.Once
	file_proto_master_seats_seats_proto_rawDescData = file_proto_master_seats_seats_proto_rawDesc
)

func file_proto_master_seats_seats_proto_rawDescGZIP() []byte {
	file_proto_master_seats_seats_proto_rawDescOnce.Do(func() {
		file_proto_master_seats_seats_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_master_seats_seats_proto_rawDescData)
	})
	return file_proto_master_seats_seats_proto_rawDescData
}

var file_proto_master_seats_seats_proto_msgTypes = make([]protoimpl.MessageInfo, 9)
var file_proto_master_seats_seats_proto_goTypes = []interface{}{
	(*ListSeats)(nil),                           // 0: master.seats.ListSeats
	(*Seats)(nil),                               // 1: master.seats.Seats
	(*CreateSeatsUpdateRequest)(nil),            // 2: master.seats.CreateSeatsUpdateRequest
	(*ReverseSeatsUpdateRequest)(nil),           // 3: master.seats.ReverseSeatsUpdateRequest
	(*SeatsIdentifierRequest)(nil),              // 4: master.seats.SeatsIdentifierRequest
	(*SeatsIdentifierByTransportIDRequest)(nil), // 5: master.seats.SeatsIdentifierByTransportIDRequest
	(*SeatsIdentifierByTicketIDRequest)(nil),    // 6: master.seats.SeatsIdentifierByTicketIDRequest
	(*ReverseSeatsUpdateResponse)(nil),          // 7: master.seats.ReverseSeatsUpdateResponse
	(*SeatsFilterQuery)(nil),                    // 8: master.seats.SeatsFilterQuery
	(*timestamppb.Timestamp)(nil),               // 9: google.protobuf.Timestamp
}
var file_proto_master_seats_seats_proto_depIdxs = []int32{
	1,  // 0: master.seats.ListSeats.seats:type_name -> master.seats.Seats
	9,  // 1: master.seats.Seats.issued_at:type_name -> google.protobuf.Timestamp
	9,  // 2: master.seats.Seats.created_at:type_name -> google.protobuf.Timestamp
	9,  // 3: master.seats.Seats.updated_at:type_name -> google.protobuf.Timestamp
	2,  // 4: master.seats.SeatsService.CreateSeatsUpdate:input_type -> master.seats.CreateSeatsUpdateRequest
	3,  // 5: master.seats.SeatsService.ReverseSeatsUpdate:input_type -> master.seats.ReverseSeatsUpdateRequest
	4,  // 6: master.seats.SeatsService.GetSeatsByID:input_type -> master.seats.SeatsIdentifierRequest
	6,  // 7: master.seats.SeatsService.GetSeatsByTicketID:input_type -> master.seats.SeatsIdentifierByTicketIDRequest
	5,  // 8: master.seats.SeatsService.GetSeatsByTransportID:input_type -> master.seats.SeatsIdentifierByTransportIDRequest
	8,  // 9: master.seats.SeatsService.GetSeatsAll:input_type -> master.seats.SeatsFilterQuery
	1,  // 10: master.seats.SeatsService.CreateSeatsUpdate:output_type -> master.seats.Seats
	7,  // 11: master.seats.SeatsService.ReverseSeatsUpdate:output_type -> master.seats.ReverseSeatsUpdateResponse
	1,  // 12: master.seats.SeatsService.GetSeatsByID:output_type -> master.seats.Seats
	1,  // 13: master.seats.SeatsService.GetSeatsByTicketID:output_type -> master.seats.Seats
	0,  // 14: master.seats.SeatsService.GetSeatsByTransportID:output_type -> master.seats.ListSeats
	0,  // 15: master.seats.SeatsService.GetSeatsAll:output_type -> master.seats.ListSeats
	10, // [10:16] is the sub-list for method output_type
	4,  // [4:10] is the sub-list for method input_type
	4,  // [4:4] is the sub-list for extension type_name
	4,  // [4:4] is the sub-list for extension extendee
	0,  // [0:4] is the sub-list for field type_name
}

func init() { file_proto_master_seats_seats_proto_init() }
func file_proto_master_seats_seats_proto_init() {
	if File_proto_master_seats_seats_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_proto_master_seats_seats_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSeats); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_seats_seats_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Seats); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_seats_seats_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateSeatsUpdateRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_seats_seats_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReverseSeatsUpdateRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_seats_seats_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SeatsIdentifierRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_seats_seats_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SeatsIdentifierByTransportIDRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_seats_seats_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SeatsIdentifierByTicketIDRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_seats_seats_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReverseSeatsUpdateResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_seats_seats_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SeatsFilterQuery); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_master_seats_seats_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   9,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_proto_master_seats_seats_proto_goTypes,
		DependencyIndexes: file_proto_master_seats_seats_proto_depIdxs,
		MessageInfos:      file_proto_master_seats_seats_proto_msgTypes,
	}.Build()
	File_proto_master_seats_seats_proto = out.File
	file_proto_master_seats_seats_proto_rawDesc = nil
	file_proto_master_seats_seats_proto_goTypes = nil
	file_proto_master_seats_seats_proto_depIdxs = nil
}
